Page Initialize

Last update: September 10, 2026
•
1 min to read

Initialize a page (space). This endpoint initializes a space and retrieves the required configuration to render the page.

HTTP Method

POST

Endpoint

/api/page/initialize

Request URL

{Base URL}/api/page/initialize

Sample Request

{
  "SpaceName": "Explore",
  "DataspaceInfo": {
    "QueryInfo": {
      "Meta": {}
    }
  }
}

Parameters

Param NameData TypeDescription
SpaceNameStringName of the space you want to access (for example, Explore, MyActivity).

Curl Example

Multi-line format (for readability):

curl --header "Accept-Language: en" \
     --http1.1 \
     --insecure \
     --verbose \
     --ntlm \
     --user "device-name1\jdoe:P@ssw0rd" \
     -X POST \
     "https://hubstreamproduction.hubstreamonline.com/api/page/initialize" \
     -H "Content-Type: application/json" \
     -d '{
       "SpaceName": "Explore",
       "DataspaceInfo": {
         "QueryInfo": {
           "Meta": {}
         }
       }
     }'

Single-line format (for terminal use):

curl --header "Accept-Language: en" --http1.1 --insecure --verbose --ntlm --user "device-name1\jdoe:P@ssw0rd" -X POST "https://hubstreamproduction.hubstreamonline.com/api/page/initialize" -H "Content-Type: application/json" -d "{\"SpaceName\":\"Explore\",\"DataspaceInfo\":{\"QueryInfo\":{\"Meta\":{}}}}"

Sample Responses

Status code 2XX indicates successful request and response.

200 OK

Description: Operation succeeded

Responses consist of:

Param NameDescription
LayoutInfoLayout information. Layout configuration (for example, GridPage, OneChartOneTableLayout).
DataspaceInfoQuery and metadata used to process the page and fetch necessary data. This can be reused in subsequent API calls.
AdditionalInfoAdditional space-related information.